Create a Scheduled Function
curl --request POST \
--url https://api.getnexor.ai/api/public/scheduled-functions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Untitled job",
"description": "",
"code": "Built-in starter source",
"cron_expression": "0 9 * * *",
"timezone": "UTC",
"is_active": true,
"lookup_config": {
"leads": {
"include": true,
"query": {
"filters": [
{
"value": "<unknown>"
}
],
"order": [
{
"ascending": false
}
],
"limit": 2
},
"filters": {
"search": "<string>",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateFrom": "2023-11-07T05:31:56Z",
"dateTo": "2023-11-07T05:31:56Z"
},
"limit": 2
},
"agents": {
"include": false
},
"hosts": {
"include": false
}
},
"max_leads_per_cycle": 50
}
'import requests
url = "https://api.getnexor.ai/api/public/scheduled-functions"
payload = {
"name": "Untitled job",
"description": "",
"code": "Built-in starter source",
"cron_expression": "0 9 * * *",
"timezone": "UTC",
"is_active": True,
"lookup_config": {
"leads": {
"include": True,
"query": {
"filters": [{ "value": "<unknown>" }],
"order": [{ "ascending": False }],
"limit": 2
},
"filters": {
"search": "<string>",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateFrom": "2023-11-07T05:31:56Z",
"dateTo": "2023-11-07T05:31:56Z"
},
"limit": 2
},
"agents": { "include": False },
"hosts": { "include": False }
},
"max_leads_per_cycle": 50
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Untitled job',
description: '',
code: 'Built-in starter source',
cron_expression: '0 9 * * *',
timezone: 'UTC',
is_active: true,
lookup_config: {
leads: {
include: true,
query: {filters: [{value: '<unknown>'}], order: [{ascending: false}], limit: 2},
filters: {
search: '<string>',
workflowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
campaignId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignedTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dateFrom: '2023-11-07T05:31:56Z',
dateTo: '2023-11-07T05:31:56Z'
},
limit: 2
},
agents: {include: false},
hosts: {include: false}
},
max_leads_per_cycle: 50
})
};
fetch('https://api.getnexor.ai/api/public/scheduled-functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"function": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"run_count": 123,
"is_active": true,
"lookup_config": {
"leads": {
"include": true,
"query": {
"filters": [
{
"column": "id",
"op": "eq",
"value": "<unknown>"
}
],
"order": [
{
"column": "id",
"ascending": false
}
],
"limit": 2
},
"filters": {
"search": "<string>",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeFilter": "active",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"olderThan": {
"value": 1,
"unit": "hours"
},
"newerThan": {
"value": 1,
"unit": "hours"
},
"dateFrom": "2023-11-07T05:31:56Z",
"dateTo": "2023-11-07T05:31:56Z",
"sortBy": "created_at",
"sortDir": "asc"
},
"limit": 2
},
"agents": {
"include": false
},
"hosts": {
"include": false
}
},
"max_leads_per_cycle": 250,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "<string>",
"code": "<string>"
},
"deploy_error": "<string>",
"success": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"field": "<unknown>",
"unknown_keys": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Create a Scheduled Function
This operation lets you create a scheduled function for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
POST
/
scheduled-functions
Create a Scheduled Function
Safety and behavior notes
- HTTP 201 does not guarantee deployment; inspect deploy_error.
- The row is created, the next run is calculated, and deployment is attempted. Start inactive when effects are risky.
- Most request property types are not strictly validated before persistence and deployment.
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
application/json
IANA timezone accepted by cron-parser.
Show child attributes
Show child attributes
Required range:
1 <= x <= 500Last modified on September 8, 2026
⌘I